Bug 1077047 - [storage-ng] "root_subvolume_read_only" is not honoured in skelcd-control-CaaSP
[storage-ng] "root_subvolume_read_only" is not honoured in skelcd-control-CaaSP
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Critical (vote)
: ---
Assigned To: E-mail List
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-22 13:01 UTC by Richard Brown
Modified: 2022-02-24 14:47 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2logs (223.77 KB, application/gzip)
2018-01-22 13:01 UTC, Richard Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brown 2018-01-22 13:01:24 UTC
Created attachment 757104 [details]
y2logs

CaaSP/Kubic have <root_subvolume_read_only> defined in their control.xml

https://github.com/yast/skelcd-control-CAASP/blob/master/control/control.CAASP.xml#L141

Since libstorage-ng has hit Tumbleweed, all Kubic images are installing WITHOUT a read-only filesystem

This renders Kubic unsafe and unusable - the whole point of the distribution requires a read-only root filesystem

y2logs from an installation attached
Comment 1 Steffen Winterfeldt 2018-01-22 13:10:22 UTC
root_subvolume_read_only is actually not yet implemented in yast-storage-ng
Comment 2 Richard Brown 2018-01-22 13:18:18 UTC
Suspicion

https://github.com/yast/yast-installation/blob/5fd1a8db8a5c3bd4719829bceb3b6f46783b79a6/src/lib/installation/clients/umount_finish.rb#L413

is looking for the "root_subvolume_read_only" boolean in "partitioning"

Now that libstorage-ng has landed, "root_subvolume_read_only" is a control.xml option in the "proposal" section

Is this as simple as `s/partitioning/proposal` in umount_finish.rb?
Comment 3 Richard Brown 2018-01-22 13:19:06 UTC
(In reply to Steffen Winterfeldt from comment #1)
> root_subvolume_read_only is actually not yet implemented in yast-storage-ng

Really? It's documented

https://github.com/yast/yast-storage-ng/blob/master/doc/old_and_new_proposal.md

And it's an absolutely key feature we need for Kubic - we cannot have in libstorage-ng in Tumbleweed without it.
Comment 4 Steffen Winterfeldt 2018-01-22 13:53:37 UTC
Sorry, I was mistaken. It's one of those tings done in yast-installation.
Comment 5 Steffen Winterfeldt 2018-01-22 13:57:35 UTC
But the cited line in comment 2 is wrong; the element has moved to

partitioning -> proposal -> root_subvolume_read_only
Comment 6 Richard Brown 2018-01-22 14:47:25 UTC
Possible fix 

https://github.com/yast/yast-installation/pull/647
Comment 7 Steffen Winterfeldt 2018-01-23 11:09:06 UTC
fixed

https://github.com/yast/yast-installation/pull/649
Comment 8 Ancor Gonzalez Sosa 2018-01-23 11:23:44 UTC
Submitted as https://build.opensuse.org/request/show/568516 and https://build.suse.de/request/show/152336

Not verified with a Kubic image, but tested via unit tests.